{
  "ash" : {
    "generateResource" : "Y"
  },
  "attributes" : [
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "_rowid",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "_rowid",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "ll"
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "urlRefID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "urlRefID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "ll"
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "noteID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "noteID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "ll"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionUserID",
      "externalType" : "int",
      "isIndexed" : "Y",
      "name" : "deletionUserID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionDate",
      "externalType" : "datetime",
      "isIndexed" : "Y",
      "name" : "deletionDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionIdentifier",
      "externalType" : "char",
      "isIndexed" : "Y",
      "name" : "deletionIdentifier",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : 255
    }
  ],
  "className" : "EOGenericRecord",
  "classProperties" : [
    "_rowid",
    "urlRefID",
    "noteID",
    "deletionUserID",
    "deletionDate",
    "deletionIdentifier",
    "uRLReference",
    "note"
  ],
  "domain" : "Urls",
  "externalName" : "URLReferenceNoteJoin",
  "isDatabasePreference" : false,
  "IsIntermediate" : "1",
  "isTrashable" : true,
  "name" : "URLReferenceNoteJoin",
  "primaryKeyAttributes" : [
    "_rowid"
  ],
  "record" : {
    "allowsRecord" : "N",
    "isDirectlyUpdatable" : "Y"
  },
  "relationships" : [
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "URLReference",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "urlRefID",
          "sourceAttribute" : "urlRefID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "uRLReference",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Note",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "noteID",
          "sourceAttribute" : "noteID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "note",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    }
  ],
  "supportsPermissions" : false,
  "uniqueIdentifier" : "192"
}